PrintJob (Java SE 11 & JDK 11 )
Keywords: java.awt.PrintJob class

Module java.desktop
Package java.awt

## Class PrintJob

- java.lang.Object
- - java.awt.PrintJob

-     public abstract class PrintJob
      extends Object

  An abstract class which initiates and executes a print job. It provides access to a print graphics object which renders to an appropriate print device.
  See Also:
    `Toolkit.getPrintJob(java.awt.Frame, java.lang.String, java.util.Properties)`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrintJob()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract void` | `end()` | Ends the print job and does any necessary cleanup.
    `void` | `finalize()` | Deprecated. The `finalize` method has been deprecated.
    `abstract Graphics` | `getGraphics()` | Gets a Graphics object that will draw to the next page.
    `abstract Dimension` | `getPageDimension()` | Returns the dimensions of the page in pixels.
    `abstract int` | `getPageResolution()` | Returns the resolution of the page in pixels per inch.
    `abstract boolean` | `lastPageFirst()` | Returns true if the last page will be printed first.

    - ### Methods declared in class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrintJob

          public PrintJob()

  - ### Method Detail

    - #### getGraphics

          public abstract Graphics getGraphics()

      Gets a Graphics object that will draw to the next page. The page is sent to the printer when the graphics object is disposed. This graphics object will also implement the PrintGraphics interface.
      Returns:
        the graphics context for printing the next page
      See Also:
        `PrintGraphics`

    - #### getPageDimension

          public abstract Dimension getPageDimension()

      Returns the dimensions of the page in pixels. The resolution of the page is chosen so that it is similar to the screen resolution.
      Returns:
        the page dimension

    - #### getPageResolution

          public abstract int getPageResolution()

      Returns the resolution of the page in pixels per inch. Note that this doesn't have to correspond to the physical resolution of the printer.
      Returns:
        the page resolution

    - #### lastPageFirst

          public abstract boolean lastPageFirst()

      Returns true if the last page will be printed first.
      Returns:
        `true` if the last page will be printed first; otherwise `false`

    - #### end

          public abstract void end()

      Ends the print job and does any necessary cleanup.

    - #### finalize

          @Deprecated(since="9")
          public void finalize()

      Deprecated.
      The `finalize` method has been deprecated. Subclasses that override `finalize` in order to perform cleanup should be modified to use alternative cleanup mechanisms and to remove the overriding `finalize` method. When overriding the `finalize` method, its implementation must explicitly ensure that `super.finalize()` is invoked as described in `Object.finalize()`. See the specification for `Object.finalize()` for further information about migration options.
      Ends this print job once it is no longer referenced.
      Overrides:
        `finalize` in class `Object`
      See Also:
        `end()`